## mesa 25.2.5-1~24.04

=== debian/changelog ===
mesa (25.2.5-1~24.04-tux1) noble; urgency=medium

  * New upstream release.
  * Changelog https://docs.mesa3d.org/relnotes/25.2.5.html

 -- Torsten Wohlfarth <two@tuxedocomputers.com>  Wed, 15 Oct 2025 20:26:55 +0200

mesa (25.2.4-1~24.04-tux1) noble; urgency=medium

  * New upstream release.
  * Changelog https://docs.mesa3d.org/relnotes/25.2.4.html

 -- Torsten Wohlfarth <two@tuxedocomputers.com>  Tue, 14 Oct 2025 14:20:04 +0200

mesa (25.2.3-1~24.04-tux1) noble; urgency=medium

  * New upstream release.
  * Changelog https://docs.mesa3d.org/relnotes/25.2.3.html

 -- Torsten Wohlfarth <two@tuxedocomputers.com>  Wed, 24 Sep 2025 12:14:06 +0200

mesa (25.2.2-1~24.04-tux1) noble; urgency=medium

  * New upstream release.
  * Changelog https://docs.mesa3d.org/relnotes/25.2.2.html

 -- Torsten Wohlfarth <two@tuxedocomputers.com>  Wed, 17 Sep 2025 10:21:27 +0200

mesa (25.2.1-1~24.04-tux1) noble; urgency=medium

  * New upstream release.
  * Changelog https://docs.mesa3d.org/relnotes/25.2.1.html

 -- Torsten Wohlfarth <two@tuxedocomputers.com>  Tue, 26 Aug 2025 10:30:10 +0200

mesa (25.1.6-1~24.04-tux1) noble; urgency=medium

  * New upstream release.
  * Changelog https://docs.mesa3d.org/relnotes/25.1.6.html

 -- Torsten Wohlfarth <two@tuxedocomputers.com>  Fri, 18 Jul 2025 22:22:28 +0200

mesa (25.1.5-1~24.04-tux1) noble; urgency=medium

  * New upstream release.
  * Changelog https://docs.mesa3d.org/relnotes/25.1.5.html

 -- Torsten Wohlfarth <two@tuxedocomputers.com>  Thu, 03 Jul 2025 16:48:40 +0200

mesa (25.1.4-1~24.04-tux1) noble; urgency=medium

  * New upstream release.
  * Changelog https://docs.mesa3d.org/relnotes/25.1.4.html

 -- Torsten Wohlfarth <two@tuxedocomputers.com>  Thu, 19 Jun 2025 13:32:22 +0200

mesa (25.1.3-1~24.04-tux1) noble; urgency=medium

  * New upstream release.
  * Changelog https://docs.mesa3d.org/relnotes/25.1.3.html

 -- Torsten Wohlfarth <two@tuxedocomputers.com>  Sat, 07 Jun 2025 22:32:20 +0200

mesa (25.1.2-1~24.04-tux1) noble; urgency=medium

  * New upstream release.
  * Changelog https://docs.mesa3d.org/relnotes/25.1.2.html

 -- Torsten Wohlfarth <two@tuxedocomputers.com>  Thu, 05 Jun 2025 10:46:22 +0200

mesa (25.1.1-1~24.04-tux1) noble; urgency=medium

  * New upstream release.
  * Changelog https://docs.mesa3d.org/relnotes/25.1.1.html

 -- Torsten Wohlfarth <two@tuxedocomputers.com>  Wed, 28 May 2025 16:45:15 +0200

mesa (24.1.7-1~24.04-tux1) noble; urgency=medium

  * New upstream release.
  * Changelog https://docs.mesa3d.org/relnotes/24.1.7.html

 -- Torsten Wohlfarth <two@tuxedocomputers.com>  Wed, 28 May 2025 16:22:26 +0200

mesa (25.1.0-1~24.04-tux1) noble; urgency=medium

  * New upstream release.
  * Changelog https://docs.mesa3d.org/relnotes/25.1.0.html

 -- Torsten Wohlfarth <two@tuxedocomputers.com>  Thu, 08 May 2025 11:17:03 +0200

mesa (25.0.5-1~24.04-tux1) noble; urgency=medium

  * New upstream release.
  * Changelog https://docs.mesa3d.org/relnotes/25.0.5.html

 -- Torsten Wohlfarth <two@tuxedocomputers.com>  Mon, 05 May 2025 08:42:32 +0200

mesa (25.0.3-1~24.04-tux1) noble; urgency=medium

  * New upstream release.
  * Changelog https://docs.mesa3d.org/relnotes/25.0.3.html

 -- Torsten Wohlfarth <two@tuxedocomputers.com>  Thu, 03 Apr 2025 12:36:33 +0200

mesa (25.0.2-1~24.04-tux1) noble; urgency=medium

  * New upstream release.
  * Changelog https://docs.mesa3d.org/relnotes/25.0.2.html

 -- Torsten Wohlfarth <two@tuxedocomputers.com>  Sat, 22 Mar 2025 22:15:19 +0100

mesa (25.0.1-1~24.04-tux1) noble; urgency=medium

  * New upstream release.
  * Changelog https://docs.mesa3d.org/relnotes/25.0.1.html

 -- Torsten Wohlfarth <two@tuxedocomputers.com>  Mon, 17 Mar 2025 11:55:14 +0100

mesa (25.0.0-1~24.04-tux1) noble; urgency=medium

  * New upstream release.
  * Changelog https://docs.mesa3d.org/relnotes/25.0.0.html

 -- Torsten Wohlfarth <two@tuxedocomputers.com>  Thu, 27 Feb 2025 15:43:36 +0100

mesa (24.3.4-1~24.04-tux1) noble; urgency=medium

  * New upstream release.
  * Changelog https://docs.mesa3d.org/relnotes/24.3.4.html

 -- Torsten Wohlfarth <two@tuxedocomputers.com>  Thu, 23 Jan 2025 17:31:56 +0100

mesa (24.3.3-1~24.04-tux1) noble; urgency=medium

  * New upstream release.
  * Changelog https://docs.mesa3d.org/relnotes/24.3.3.html

 -- Torsten Wohlfarth <two@tuxedocomputers.com>  Sat, 04 Jan 2025 15:15:18 +0100

mesa (24.3.2-1~24.04-tux1) noble; urgency=medium

  * New upstream release.
  * Changelog https://docs.mesa3d.org/relnotes/24.3.2.html

 -- Torsten Wohlfarth <two@tuxedocomputers.com>  Fri, 20 Dec 2024 15:15:28 +0100

mesa (24.3.1-1~24.04-tux1) noble; urgency=medium

  * New upstream release.
  * Changelog https://docs.mesa3d.org/relnotes/24.3.1.html

 -- Torsten Wohlfarth <two@tuxedocomputers.com>  Thu, 05 Dec 2024 15:15:14 +0100

mesa (24.3.0-1~24.04-tux1) noble; urgency=medium

  * New upstream release.
  * Changelog https://docs.mesa3d.org/relnotes/24.3.0.html

 -- Torsten Wohlfarth <two@tuxedocomputers.com>  Wed, 27 Nov 2024 11:07:19 +0100

mesa (24.2.7-1~24.04-tux1) noble; urgency=medium

  * New upstream release.
  * Changelog https://docs.mesa3d.org/relnotes/24.2.7.html

 -- Torsten Wohlfarth <two@tuxedocomputers.com>  Thu, 14 Nov 2024 15:15:15 +0100

mesa (24.2.6-1~24.04-tux1) noble; urgency=medium

  * New upstream release.
  * Changelog https://docs.mesa3d.org/relnotes/24.2.6.html

 -- Torsten Wohlfarth <two@tuxedocomputers.com>  Mon, 11 Nov 2024 15:53:37 +0100

mesa (24.2.5-1~24.04-tux1) noble; urgency=medium

  * New upstream release.
    https://docs.mesa3d.org/relnotes/24.2.5.html

 -- Torsten Wohlfarth <towo@tuxedocomputers.com>  Thu, 24 Oct 2024 13:50:36 +0200

mesa (24.2.4-1~24.04-tux1) noble; urgency=medium

  * New upstream release.
    https://docs.mesa3d.org/relnotes/24.2.4.html

 -- Torsten Wohlfarth <towo@tuxedocomputers.com>  Thu, 10 Oct 2024 14:43:34 +0200

mesa (24.2.3-1~24.04-tux1) noble; urgency=medium

  * new upstream release



## mesa 25.2.6

=== bin/ci/test/requirements.txt ===
-r ../requirements.txt
filelock==3.12.4
fire==0.5.0
freezegun==1.5.1
mock==5.1.0
polars==0.19.3
pytest==7.4.2
pytest-asyncio==0.21.0
pytest-cov==3.0.0

=== debian/changelog ===
mesa (25.2.6-1) unstable; urgency=medium

  * New upstream release.
  * patches: Drop renaming of rsqrtf, upstreamed.
  * patches: Disable CCS for Intel Xe2. (LP: #2127717)

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 30 Oct 2025 11:38:42 +0200

mesa (25.2.5-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 16 Oct 2025 13:15:22 +0300

=== debian/control ===
Source: mesa
Section: graphics
Priority: optional
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Uploaders: Andreas Boll <aboll@debian.org>
Standards-Version: 4.1.4
Build-Depends:
 debhelper-compat (= 13),
 directx-headers-dev (>= 1.614.1) [linux-amd64 linux-arm64],
 flatbuffers-compiler [linux-arm64],
 glslang-tools [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
 spirv-tools (>= 2024.4~rc1) [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
 meson (>= 1.7.0),
 pkgconf,
 libdrm-dev (>= 2.4.125-1),
 libx11-dev,
 libxxf86vm-dev,
 libexpat1-dev,
 libflatbuffers-dev [linux-arm64],
 libsensors-dev [!hurd-any],
 libxext-dev,
 libva-dev (>= 1.6.0) [linux-any] <!pkg.mesa.nolibva>,
 libvdpau-dev (>= 1.5) [linux-any],
 libvulkan-dev [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
 x11proto-dev,
 linux-libc-dev (>= 2.6.31) [linux-any],
 libx11-xcb-dev,
 libxcb-dri2-0-dev (>= 1.8),
 libxcb-glx0-dev (>= 1.8.1),
 libxcb-dri3-dev,
 libxcb-present-dev,
 libxcb-randr0-dev,
 libxcb-shm0-dev,
 libxcb-sync-dev,
 libxrandr-dev,
 libxshmfence-dev (>= 1.1),
 libxtensor-dev [linux-arm64],
 libzstd-dev,
 python3,
 python3-mako,
 python3-yaml,
 python3-pycparser [arm64 armhf],
 python3-setuptools,
 flex,
 bison,
 libelf-dev [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
 libwayland-dev (>= 1.15.0) [linux-any],
 libwayland-egl-backend-dev (>= 1.15.0) [linux-any],
 llvm-19-dev [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
 libclang-19-dev [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
 libclang-cpp19-dev [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
 libclc-19-dev [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
 libclc-19 [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
 wayland-protocols (>= 1.38),
 zlib1g-dev,
 libglvnd-core-dev (>= 1.3.2),
 valgrind [amd64 arm64 armhf i386 mips64el powerpc ppc64 ppc64el s390x],
 rustc (>= 1.78) [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x x32],
 rustfmt [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x x32],
 bindgen (>= 0.71~) [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x x32],
 cbindgen [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x x32],
 llvm-spirv-19 [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x x32],
 libllvmspirvlib-19-dev [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
 librust-rustc-hash-2-dev [amd64 arm64 armhf i386 ppc64 riscv64 x32],
 librust-paste-dev [amd64 arm64 armhf i386 ppc64 riscv64 x32],
 librust-syn-dev (>= 2.0.48) [amd64 arm64 armhf i386 ppc64 riscv64 x32],
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/xorg-team/lib/mesa.git
Vcs-Browser: https://salsa.debian.org/xorg-team/lib/mesa
Homepage: https://mesa3d.org/

Package: libgbm1
Section: libs
Architecture: linux-any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 mesa-libgallium (= ${binary:Version}),
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: generic buffer management API -- runtime
 This package contains the GBM buffer management library.  It provides a
 mechanism for allocating buffers for graphics rendering tied to Mesa.
 .
 GBM is intended to be used as a native platform for EGL on drm or openwfd.

Package: libgbm-dev
Section: libdevel
Architecture: linux-any
Depends:
 libgbm1 (= ${binary:Version}),
 ${misc:Depends},
Multi-Arch: same
Description: generic buffer management API -- development files
 This package contains the GBM buffer management library.  It provides a
 mechanism for allocating buffers for graphics rendering tied to Mesa.
 .
 GBM is intended to be used as a native platform for EGL on drm or openwfd.
 .
 This package provides the development environment for compiling programs
 against the GBM library.

Package: libegl-mesa0
Section: libs
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libgbm1 (= ${binary:Version}) [!hurd-any],
 mesa-libgallium (= ${binary:Version}),
Provides: libegl-vendor
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: free implementation of the EGL API -- Mesa vendor library
 This package contains the EGL native platform graphics interface library.
 EGL provides a platform-agnostic mechanism for creating rendering surfaces
 for use with other graphics libraries, such as OpenGL|ES.
 .
 This package contains the Mesa vendor library for EGL.

Package: libegl1-mesa-dev
Section: libdevel
Architecture: any
Depends:
 libegl-dev,
 libglvnd-dev,
 ${misc:Depends},
Multi-Arch: same
Description: free implementation of the EGL API -- development files
 This package contains the development environment required for compiling
 programs against EGL native platform graphics interface library.
 EGL provides a platform-agnostic mechanism for creating rendering surfaces
 for use with other graphics libraries, such as OpenGL|ES.
 .
 This package provides the development environment for compiling programs
 against the EGL library.

Package: libgles2-mesa-dev
Section: oldlibs
Architecture: any
Depends:
 libgles-dev,
 libglvnd-dev,
 ${misc:Depends},
Multi-Arch: same
Description: transitional dummy package
 This is a transitional dummy package, it can be safely removed.

Package: libglx-mesa0
Section: libs
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libgl1-mesa-dri,
 mesa-libgallium (= ${binary:Version}),
Provides: libglx-vendor
Breaks:
 libopengl-perl (<< 0.6704+dfsg-2),
 glx-diversions (<< 0.8.4~),
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: free implementation of the OpenGL API -- GLX vendor library
 Mesa is a 3-D graphics library with an API which is very similar to
 that of OpenGL.  To the extent that Mesa utilizes the OpenGL command
 syntax or state machine, it is being used with authorization from
 Silicon Graphics, Inc.  However, the authors make no claim that Mesa
 is in any way a compatible replacement for OpenGL or associated with
 Silicon Graphics, Inc.
 .
 This version of Mesa provides GLX and DRI capabilities: it is capable of
 both direct and indirect rendering.  For direct rendering, it can use DRI
 modules from the libgl1-mesa-dri package to accelerate drawing.
 .
 This package does not include the modules themselves: these can be found
 in the libgl1-mesa-dri package.

Package: libgl1-mesa-dri
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends:
 libgbm1 (= ${binary:Version}) [!hurd-any],
 libvulkan1 [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
 ${shlibs:Depends},
 ${misc:Depends}
Multi-Arch: same
Description: free implementation of the OpenGL API -- DRI modules
 This version of Mesa provides GLX and DRI capabilities: it is capable of
 both direct and indirect rendering.  For direct rendering, it can use DRI
 modules from the libgl1-mesa-dri package to accelerate drawing.
 .
 This package does not include the OpenGL library itself, only the DRI
 modules for accelerating direct rendering.
 .
 For a complete description of Mesa, please look at the
 libglx-mesa0 package.

Package: libgl1-mesa-dev
Section: oldlibs
Architecture: any
Depends:
 libgl-dev,
 libglvnd-dev,
 ${misc:Depends},
Multi-Arch: same
Description: transitional dummy package
 This is a transitional dummy package, it can be safely removed.

Package: mesa-common-dev
Section: libdevel
Architecture: any
Depends:
 libgl-dev,
 libglx-dev,
 libx11-dev,
 libdrm-dev (>= 2.4.95) [!hurd-any],
 ${misc:Depends},
Breaks: libegl1-mesa-dev (<< 18.2.5-2)
Replaces: libegl1-mesa-dev (<< 18.2.5-2)
Multi-Arch: same
Description: Developer documentation for Mesa
 This package includes the specifications for the Mesa-specific OpenGL
 extensions, the complete set of release notes and the development header
 files common to all Mesa packages.

Package: mesa-libgallium
Section: libs
Architecture: linux-any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Pre-Depends: ${misc:Pre-Depends}
Provides: libglapi-mesa
Multi-Arch: same
Description: shared infrastructure for Mesa drivers
 This package contains libgallium, a private library shared between
 multiple Mesa drivers. This library is an implementation detail of Mesa
 and should not be used directly by user code.

Package: mesa-teflon-delegate
Section: libs
Architecture: arm64
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Mesa TensorFlow Lite external delegate
 TensorFlow Lite delegate which can make use of NPUs to accelerate ML
 inference. It is implemented in the form of a external delegate, a shared
 library which the TensorFlow Lite runtime can load at startup.

Package: mesa-va-drivers
Section: libs
Architecture: linux-any
Build-Profiles: <!pkg.mesa.nolibva>
Depends:
 mesa-libgallium (= ${binary:Version}),
 ${shlibs:Depends},
 ${misc:Depends},
Enhances:
 libva2,
Provides:
 va-driver,
Breaks: vdpau-va-driver (<< 0.7.4-5)
Replaces: vdpau-va-driver (<< 0.7.4-5)
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Description: Mesa VA-API video acceleration drivers
 These libraries provide the Video Acceleration API (VA-API) for Unix.
 They provide accelerated video playback (incl. H.264) and video
 post-processing for the supported graphics cards.
 .
 This package enables support for VA-API for some gallium drivers.

Package: mesa-vdpau-drivers
Section: libs
Architecture: linux-any
Depends:
 libvdpau1,
 ${shlibs:Depends},
 ${misc:Depends},
Enhances:
 libvdpau1,
Provides:
 vdpau-driver,
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Description: Mesa VDPAU video acceleration drivers
 These libraries provide the Video Decode and Presentation API for Unix.
 They provide accelerated video playback (incl. H.264) and video
 post-processing for the supported graphics cards.
 .
 This package enables support for VDPAU for some gallium drivers.

Package: mesa-vulkan-drivers
Section: libs
Architecture: amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32
Pre-Depends: ${misc:Pre-Depends}
Depends:
 libvulkan1,
 ${shlibs:Depends},
 ${misc:Depends}
Provides: vulkan-icd
Multi-Arch: same
Description: Mesa Vulkan graphics drivers
 Vulkan is a low-overhead 3D graphics and compute API. This package
 includes Vulkan drivers provided by the Mesa project.

Package: mesa-opencl-icd
Section: libs
Architecture: amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x x32
Pre-Depends: ${misc:Pre-Depends}
Depends:
 libclc-19,
 ocl-icd-libopencl1 | libopencl1,
 ${shlibs:Depends},
 ${misc:Depends},
Provides: opencl-icd
Multi-Arch: same
Description: free implementation of the OpenCL API -- ICD runtime
 This package contains the mesa implementation of the OpenCL (Open Compute
 Language) library, which is intended for use with an ICD loader. OpenCL
 provides a standardized interface for computational analysis on graphical
 processing units.

Package: mesa-drm-shim
Section: libs
Architecture: amd64 arm64 armel armhf i386 mips64el powerpc ppc64 ppc64el s390x sparc64
Pre-Depends: ${misc:Pre-Depends}
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Multi-Arch: same
Description: DRM shim libraries
 This package provides drm-shim libraries which can be used for testing DRM
 drivers when none exists on the host.

# vim: tw=0

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for the Debian mesa package
# Copyright © 2006 Thierry Reding <thierry@gilfi.de>

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
DEB_HOST_ARCH      ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_ARCH_OS   ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
DEB_HOST_ARCH_CPU  ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)

# for finding the correct llvm-config when meson doesn't know about it yet
LLVM_VERSION = 19
export PATH:=/usr/lib/llvm-$(LLVM_VERSION)/bin/:$(PATH)

export DEB_BUILD_MAINT_OPTIONS=optimize=-lto

DEB_CFLAGS_MAINT_APPEND := -Wall
DEB_CXXFLAGS_MAINT_APPEND := -Wall
ifneq (,$(filter $(DEB_HOST_ARCH), armhf))
  # Workaround for a variant of LP: #725126
  DEB_CFLAGS_MAINT_APPEND += -fno-optimize-sibling-calls
  DEB_CXXFLAGS_MAINT_APPEND += -fno-optimize-sibling-calls
else ifneq (,$(filter $(DEB_HOST_ARCH), loong64))
  # Workaround loong64 BFD linker crash related to TLSDESC
  DEB_CFLAGS_MAINT_APPEND += -mtls-dialect=trad
  DEB_CXXFLAGS_MAINT_APPEND += -mtls-dialect=trad
else ifneq (,$(filter $(DEB_HOST_ARCH), m68k))
  # This library has huge jump tables: Debian #1067207
  DEB_CFLAGS_MAINT_APPEND += -mlong-jump-table-offsets
  DEB_CXXFLAGS_MAINT_APPEND += -mlong-jump-table-offsets
else ifneq (,$(filter $(DEB_HOST_ARCH), sh4))
  # Workaround for https://gcc.gnu.org/bugzilla/show_bug.cgi?id=83143
  DEB_CFLAGS_MAINT_APPEND += -freorder-blocks-algorithm=simple
  DEB_CXXFLAGS_MAINT_APPEND += -freorder-blocks-algorithm=simple
endif
buildflags = $(shell \
	DEB_CFLAGS_MAINT_APPEND='$(DEB_CFLAGS_MAINT_APPEND)' \
	DEB_CXXFLAGS_MAINT_APPEND='$(DEB_CXXFLAGS_MAINT_APPEND)' \
	dpkg-buildflags --export=configure)

EGL_PLATFORMS = x11
GALLIUM_DRIVERS = softpipe
VULKAN_DRIVERS =
VULKAN_LAYERS =

confflags_TEFLON = -Dteflon=false

LLVM_ARCHS     = amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32
RUSTICL_ARCHS  = amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x x32
NVK_ARCHS      = amd64 arm64 armhf i386 ppc64 riscv64 x32
VALGRIND_ARCHS = amd64 arm64 armhf i386 mips64el powerpc ppc64 ppc64el s390x

# hurd doesn't do direct rendering
ifeq ($(DEB_HOST_ARCH_OS), hurd)
  confflags_DIRECT_RENDERING = -Dglx-direct=false
  confflags_GBM = -Dgbm=disabled
else
  # Non-Linux ports lack epoll, so wayland isn't ready yet:
  # https://gitlab.freedesktop.org/wayland/wayland/-/issues/72
  # hurd also lacks *_CLOEXEC
  EGL_PLATFORMS += wayland

  GALLIUM_DRIVERS += nouveau r300 r600 virgl
  confflags_DIRECT_RENDERING = -Dglx-direct=true
  confflags_GBM = -Dgbm=enabled
  confflags_GALLIUM += -Dgallium-extra-hud=true
  confflags_GALLIUM += -Dgallium-vdpau=enabled
  confflags_GALLIUM += -Dlmsensors=enabled

  # Freedreno requires arm in addition
  ifneq (,$(filter arm arm64,$(DEB_HOST_ARCH_CPU)))
	GALLIUM_DRIVERS += freedreno
  endif

  # etnaviv, tegra, vc4 and v3d kernel support are only available on armhf and arm64
  ifneq (,$(filter $(DEB_HOST_ARCH), armhf arm64))
	GALLIUM_DRIVERS += etnaviv panfrost svga tegra vc4 v3d
	VULKAN_DRIVERS += broadcom freedreno panfrost
  endif

  ifneq (,$(filter $(DEB_HOST_ARCH), armhf arm64 loong64 riscv64))
	GALLIUM_DRIVERS += lima
  endif

  # Build intel drivers on archs where libdrm-intel is installed
  ifneq (,$(filter $(DEB_HOST_ARCH), amd64 i386 x32))
	GALLIUM_DRIVERS += crocus i915 svga
	VULKAN_DRIVERS += intel_hasvk
  endif

  ifneq (,$(filter $(DEB_HOST_ARCH), amd64 arm64 i386 loong64 x32 ppc64el riscv64))
	GALLIUM_DRIVERS += iris
	VULKAN_DRIVERS += intel
  endif

  ifneq (,$(filter $(DEB_HOST_ARCH), $(VALGRIND_ARCHS)))
	confflags_VALGRIND += -Dvalgrind=enabled
  endif

  # WSL supports only amd64 and arm64
  ifneq (,$(filter $(DEB_HOST_ARCH), amd64 arm64))
	GALLIUM_DRIVERS += d3d12
  endif

  # asahi supports only arm64, amd64 and i386
  ifneq (,$(filter $(DEB_HOST_ARCH), arm64 amd64 i386))
	GALLIUM_DRIVERS += asahi
	VULKAN_DRIVERS += asahi
  endif

  # LLVM is required for building r300g, radeonsi and llvmpipe drivers.
  # It's also required for building OpenCL support.
  ifneq (,$(filter $(DEB_HOST_ARCH), $(LLVM_ARCHS)))
	GALLIUM_DRIVERS += radeonsi zink llvmpipe

	# drop virtio from armel, it doesn't build
	ifneq (,$(filter $(DEB_HOST_ARCH), armel))
		VULKAN_DRIVERS += amd swrast
	else
		VULKAN_DRIVERS += amd swrast virtio
	endif

	VULKAN_LAYERS += device-select intel-nullhw overlay
	confflags_GALLIUM += -Dllvm=enabled

	# Build rusticl for archs where rustc is available
	ifneq (,$(filter $(DEB_HOST_ARCH), $(RUSTICL_ARCHS)))
		confflags_GALLIUM += -Dgallium-rusticl=true
	endif

	ifneq (,$(filter $(DEB_HOST_ARCH), $(NVK_ARCHS)))
		export MESON_PACKAGE_CACHE_DIR=/usr/share/cargo/registry/
		VULKAN_DRIVERS += nouveau
	endif

	# gfxstream only builds on 64bit
	ifeq ($(DEB_HOST_ARCH_BITS),64)
		VULKAN_DRIVERS += gfxstream
	endif
  else
	confflags_GALLIUM += -Dllvm=disabled
  endif

  ifeq (,$(filter pkg.mesa.nolibva,$(DEB_BUILD_PROFILES)))
	confflags_GALLIUM += -Dgallium-va=enabled
	confflags_GALLIUM += -Dvideo-codecs="all"
  endif

  # Teflon only supports arm64
  ifneq (,$(filter $(DEB_HOST_ARCH), arm64))
	confflags_TEFLON = -Dteflon=true
  endif
endif

empty:=
space := $(empty) $(empty)
comma := ,
EGL_PLATFORMS := $(patsubst %,'%',$(EGL_PLATFORMS))
EGL_PLATFORMS_LIST := $(subst $(space),$(comma),$(EGL_PLATFORMS))
GALLIUM_DRIVERS := $(patsubst %,'%',$(GALLIUM_DRIVERS))
GALLIUM_DRIVERS_LIST := $(subst $(space),$(comma),$(GALLIUM_DRIVERS))
VULKAN_DRIVERS := $(patsubst %,'%',$(VULKAN_DRIVERS))
VULKAN_DRIVERS_LIST := $(subst $(space),$(comma),$(VULKAN_DRIVERS))
VULKAN_LAYERS := $(patsubst %,'%',$(VULKAN_LAYERS))
VULKAN_LAYERS_LIST := $(subst $(space),$(comma),$(VULKAN_LAYERS))

confflags_GLES = -Dgles1=disabled -Dgles2=enabled
confflags_GALLIUM += -Dgallium-drivers="[$(GALLIUM_DRIVERS_LIST)]"

confflags += \
	-Ddri-drivers-path=/usr/lib/$(DEB_HOST_MULTIARCH)/dri \
	-Dplatforms="[$(EGL_PLATFORMS_LIST)]" \
	-Dvulkan-drivers="[$(VULKAN_DRIVERS_LIST)]" \
	-Dvulkan-layers="[$(VULKAN_LAYERS_LIST)]" \
	-Dglvnd=enabled \
	-Db_ndebug=true \
	-Dbuild-tests=true \
	-Dtools=drm-shim \
	$(confflags_DIRECT_RENDERING) \
	$(confflags_GBM) \
	$(confflags_GALLIUM) \
	$(confflags_GLES) \
	$(confflags_VALGRIND) \
	$(confflags_TEFLON)


rewrite_wrap_files:
	cp -r subprojects subprojects-save
	for crate in paste proc-macro2 quote rustc-hash syn unicode-ident; \
	do \
		export crate_namever=`basename $$MESON_PACKAGE_CACHE_DIR/$$crate-*`; \
		sed -e"/source.*/d" -e"s,$${crate}-.*,$${crate_namever}," -i subprojects/$${crate}.wrap; \
	done
	touch subprojects/rewrite

override_dh_clean: regen_control
	dpkg-parsechangelog | awk '/^Version:/ {print $$2}' | sed 's/-.*//;s/~/-/' > VERSION
	rm -rf build
	rm -rf configure bin/config.guess bin/config.sub config.h.in
	rm -rf $$(find -name Makefile.in)
	rm -rf bin/install-sh bin/ltmain.sh
	rm -rf src/intel/vulkan/grl/parser.out
	rm -rf src/intel/vulkan/grl/parsetab.py
	for file in debian/*.links.in; do rm -f $${file%%.in}; done
	find -name '*.pyc' -delete
	find -name '__pycache__' -delete
	if [ -f subprojects/rewrite ]; then \
		rm -rf subprojects; \
		mv subprojects-save subprojects; \
	fi
	dh_clean

override_dh_auto_configure: rewrite_wrap_files
	dpkg-parsechangelog | awk '/^Version:/ {print $$2}' > VERSION
	$(buildflags) dh_auto_configure -- \
		$(confflags)

override_dh_auto_install:
	dh_auto_install
	debian/merge-vulkan-driver-manifests.sh debian/tmp
	for file in debian/*.links.in; \
	do \
		sed -e"s,\$${DEB_HOST_MULTIARCH},$(DEB_HOST_MULTIARCH),g" \
			$${file} > $${file%%.in}; \
	done

# some tests are expected to fail for now, drop this when upstream has
# better cross-build testing in place and expected failures fixed
override_dh_auto_test:
	-dh_auto_test

allpkg = $(shell dh_listpackages -a)

override_dh_installchangelogs:
	dh_installchangelogs -a

## mesa 25.2.7

=== debian/changelog ===
mesa (25.2.7-1) unstable; urgency=medium

  * New upstream release.
  * control: Build-depend on spirv-tools-dev.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 14 Nov 2025 15:48:09 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  directx-headers-dev (>= 1.614.1) [linux-amd64 linux-arm64],
  flatbuffers-compiler [linux-arm64],
  glslang-tools [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
- spirv-tools (>= 2024.4~rc1) [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
+ spirv-tools-dev (>= 2024.4~rc1) [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
  meson (>= 1.7.0),
  pkgconf,
  libdrm-dev (>= 2.4.125-1),

## mesa 25.2.8

=== debian/changelog ===
mesa (25.2.8-2~mx25ahs) mx; urgency=medium

  * Rebuild for MX Linux.
  * Lower libdrm-dev BD to 2.4.124-1 to match the version in Trixie.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 10 Dec 2025 21:06:24 -0800

mesa (25.2.8-2) unstable; urgency=medium

  * disable-ccs-for-intel-xe2.diff: Dropped, fixed upstream.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 04 Dec 2025 15:45:54 +0200

mesa (25.2.8-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 04 Dec 2025 15:39:40 +0200

=== debian/control ===
Source: mesa
Section: graphics
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Uploaders: Andreas Boll <aboll@debian.org>
Standards-Version: 4.1.4
Build-Depends: debhelper-compat (= 13),
               bindgen (>= 0.71~) [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x x32],
               bison,
               cbindgen [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x x32],
               directx-headers-dev (>= 1.614.1) [linux-amd64 linux-arm64],
               flatbuffers-compiler [linux-arm64],
               flex,
               glslang-tools [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
               libclang-19-dev [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
               libclang-cpp19-dev [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
               libclc-19 [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
               libclc-19-dev [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
               libdrm-dev (>= 2.4.124-1),
               libelf-dev [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
               libexpat1-dev,
               libflatbuffers-dev [linux-arm64],
               libglvnd-core-dev (>= 1.3.2),
               libllvmspirvlib-19-dev [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
               librust-paste-dev [amd64 arm64 armhf i386 ppc64 riscv64 x32],
               librust-rustc-hash-2-dev [amd64 arm64 armhf i386 ppc64 riscv64 x32],
               librust-syn-dev (>= 2.0.48) [amd64 arm64 armhf i386 ppc64 riscv64 x32],
               libsensors-dev [!hurd-any],
               libva-dev (>= 1.6.0) [linux-any] <!pkg.mesa.nolibva>,
               libvdpau-dev (>= 1.5) [linux-any],
               libvulkan-dev [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
               libwayland-dev (>= 1.15.0) [linux-any],
               libwayland-egl-backend-dev (>= 1.15.0) [linux-any],
               libx11-dev,
               libx11-xcb-dev,
               libxcb-dri2-0-dev (>= 1.8),
               libxcb-dri3-dev,
               libxcb-glx0-dev (>= 1.8.1),
               libxcb-present-dev,
               libxcb-randr0-dev,
               libxcb-shm0-dev,
               libxcb-sync-dev,
               libxext-dev,
               libxrandr-dev,
               libxshmfence-dev (>= 1.1),
               libxtensor-dev [linux-arm64],
               libxxf86vm-dev,
               libzstd-dev,
               linux-libc-dev (>= 2.6.31) [linux-any],
               llvm-19-dev [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
               llvm-spirv-19 [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x x32],
               meson (>= 1.7.0),
               pkgconf,
               python3,
               python3-mako,
               python3-pycparser [arm64 armhf],
               python3-setuptools,
               python3-yaml,
               rustc (>= 1.78) [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x x32],
               rustfmt [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x x32],
               spirv-tools (>= 2024.4~rc1) [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
               valgrind [amd64 arm64 armhf i386 mips64el powerpc ppc64 ppc64el s390x],
               wayland-protocols (>= 1.38),
               x11proto-dev,
               zlib1g-dev
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/xorg-team/lib/mesa.git
Vcs-Browser: https://salsa.debian.org/xorg-team/lib/mesa
Homepage: https://mesa3d.org/

Package: libgbm1
Section: libs
Architecture: linux-any
Depends: mesa-libgallium (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: generic buffer management API -- runtime
 This package contains the GBM buffer management library.  It provides a
 mechanism for allocating buffers for graphics rendering tied to Mesa.
 .
 GBM is intended to be used as a native platform for EGL on drm or openwfd.

Package: libgbm-dev
Section: libdevel
Architecture: linux-any
Depends: libgbm1 (= ${binary:Version}), ${misc:Depends}
Multi-Arch: same
Description: generic buffer management API -- development files
 This package contains the GBM buffer management library.  It provides a
 mechanism for allocating buffers for graphics rendering tied to Mesa.
 .
 GBM is intended to be used as a native platform for EGL on drm or openwfd.
 .
 This package provides the development environment for compiling programs
 against the GBM library.

Package: libegl-mesa0
Section: libs
Architecture: any
Depends: libgbm1 (= ${binary:Version}) [!hurd-any],
         mesa-libgallium (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Provides: libegl-vendor
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: free implementation of the EGL API -- Mesa vendor library
 This package contains the EGL native platform graphics interface library.
 EGL provides a platform-agnostic mechanism for creating rendering surfaces
 for use with other graphics libraries, such as OpenGL|ES.
 .
 This package contains the Mesa vendor library for EGL.

Package: libegl1-mesa-dev
Section: libdevel
Architecture: any
Depends: libegl-dev, libglvnd-dev, ${misc:Depends}
Multi-Arch: same
Description: free implementation of the EGL API -- development files
 This package contains the development environment required for compiling
 programs against EGL native platform graphics interface library.
 EGL provides a platform-agnostic mechanism for creating rendering surfaces
 for use with other graphics libraries, such as OpenGL|ES.
 .
 This package provides the development environment for compiling programs
 against the EGL library.

Package: libgles2-mesa-dev
Section: oldlibs
Architecture: any
Depends: libgles-dev, libglvnd-dev, ${misc:Depends}
Multi-Arch: same
Description: transitional dummy package
 This is a transitional dummy package, it can be safely removed.

Package: libglx-mesa0
Section: libs
Architecture: any
Depends: libgl1-mesa-dri,
         mesa-libgallium (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Provides: libglx-vendor
Breaks: glx-diversions (<< 0.8.4~), libopengl-perl (<< 0.6704+dfsg-2)
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: free implementation of the OpenGL API -- GLX vendor library
 Mesa is a 3-D graphics library with an API which is very similar to
 that of OpenGL.  To the extent that Mesa utilizes the OpenGL command
 syntax or state machine, it is being used with authorization from
 Silicon Graphics, Inc.  However, the authors make no claim that Mesa
 is in any way a compatible replacement for OpenGL or associated with
 Silicon Graphics, Inc.
 .
 This version of Mesa provides GLX and DRI capabilities: it is capable of
 both direct and indirect rendering.  For direct rendering, it can use DRI
 modules from the libgl1-mesa-dri package to accelerate drawing.
 .
 This package does not include the modules themselves: these can be found
 in the libgl1-mesa-dri package.

Package: libgl1-mesa-dri
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: libgbm1 (= ${binary:Version}) [!hurd-any],
         libvulkan1 [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
         ${misc:Depends},
         ${shlibs:Depends}
Multi-Arch: same
Description: free implementation of the OpenGL API -- DRI modules
 This version of Mesa provides GLX and DRI capabilities: it is capable of
 both direct and indirect rendering.  For direct rendering, it can use DRI
 modules from the libgl1-mesa-dri package to accelerate drawing.
 .
 This package does not include the OpenGL library itself, only the DRI
 modules for accelerating direct rendering.
 .
 For a complete description of Mesa, please look at the
 libglx-mesa0 package.

Package: libgl1-mesa-dev
Section: oldlibs
Architecture: any
Depends: libgl-dev, libglvnd-dev, ${misc:Depends}
Multi-Arch: same
Description: transitional dummy package
 This is a transitional dummy package, it can be safely removed.

Package: mesa-common-dev
Section: libdevel
Architecture: any
Depends: libdrm-dev (>= 2.4.95) [!hurd-any],
         libgl-dev,
         libglx-dev,
         libx11-dev,
         ${misc:Depends}
Breaks: libegl1-mesa-dev (<< 18.2.5-2)
Replaces: libegl1-mesa-dev (<< 18.2.5-2)
Multi-Arch: same
Description: Developer documentation for Mesa
 This package includes the specifications for the Mesa-specific OpenGL
 extensions, the complete set of release notes and the development header
 files common to all Mesa packages.

Package: mesa-libgallium
Section: libs
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Provides: libglapi-mesa
Multi-Arch: same
Description: shared infrastructure for Mesa drivers
 This package contains libgallium, a private library shared between
 multiple Mesa drivers. This library is an implementation detail of Mesa
 and should not be used directly by user code.

Package: mesa-teflon-delegate
Section: libs
Architecture: arm64
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Mesa TensorFlow Lite external delegate
 TensorFlow Lite delegate which can make use of NPUs to accelerate ML
 inference. It is implemented in the form of a external delegate, a shared
 library which the TensorFlow Lite runtime can load at startup.

Package: mesa-va-drivers
Section: libs
Architecture: linux-any
Build-Profiles: <!pkg.mesa.nolibva>
Depends: mesa-libgallium (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Enhances: libva2
Provides: va-driver
Breaks: vdpau-va-driver (<< 0.7.4-5)
Replaces: vdpau-va-driver (<< 0.7.4-5)
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Description: Mesa VA-API video acceleration drivers
 These libraries provide the Video Acceleration API (VA-API) for Unix.
 They provide accelerated video playback (incl. H.264) and video
 post-processing for the supported graphics cards.
 .
 This package enables support for VA-API for some gallium drivers.

Package: mesa-vdpau-drivers
Section: libs
Architecture: linux-any
Depends: libvdpau1, ${misc:Depends}, ${shlibs:Depends}
Enhances: libvdpau1
Provides: vdpau-driver
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Description: Mesa VDPAU video acceleration drivers
 These libraries provide the Video Decode and Presentation API for Unix.
 They provide accelerated video playback (incl. H.264) and video
 post-processing for the supported graphics cards.
 .
 This package enables support for VDPAU for some gallium drivers.

Package: mesa-vulkan-drivers
Section: libs
Architecture: amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32
Pre-Depends: ${misc:Pre-Depends}
Depends: libvulkan1, ${misc:Depends}, ${shlibs:Depends}
Provides: vulkan-icd
Multi-Arch: same
Description: Mesa Vulkan graphics drivers
 Vulkan is a low-overhead 3D graphics and compute API. This package
 includes Vulkan drivers provided by the Mesa project.

Package: mesa-opencl-icd
Section: libs
Architecture: amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x x32
Pre-Depends: ${misc:Pre-Depends}
Depends: libclc-19,
         ocl-icd-libopencl1 | libopencl1,
